#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.2
visibility:           public
id:                   persistent-test-2.13.1.2-4Wn2xPGWWuFCMQX5Prx1Ch
key:                  persistent-test-2.13.1.2-4Wn2xPGWWuFCMQX5Prx1Ch
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  da8f852313201e6819c5fc99e2758177
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.2-4Wn2xPGWWuFCMQX5Prx1Ch
depends:
    HUnit-1.6.2.0-JGxgr0O3qDr2sR1C0CRfuz
    QuickCheck-2.14.3-1OE8Tk6Cvw85tkUdApuCR4
    aeson-2.1.2.1-A4BCifdqKBRKymWAxMJ7G4 base-4.15.1.0
    blaze-html-0.9.1.2-4eTAdhXUE0R5xA2sIwi8oW bytestring-0.10.12.1
    conduit-1.3.5-Jq81tBeR2eG6Vm9Wfmg9Au containers-0.6.4.1
    exceptions-0.10.4 hspec-2.10.9-5ihXCFT3Zax5sW9xvf8qrc
    hspec-expectations-0.8.3-KP0wXQT7zlwIl0zhE7DGz7
    http-api-data-0.5.1-GaKGEnCo0PR6YcJFBpYdl0
    monad-control-1.0.3.1-35h1aVdsL57202S8tnbNU9
    monad-logger-0.3.40-56tQkm9xMQp8xoZKuqLNV9 mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.5-HNzgFHi1yJnKFZmW2q1NyC
    quickcheck-instances-0.3.29.1-FOUK6PnXWnEJrPG0Q8Z3iu
    random-1.2.1.1-K0OGGZ2RgxUBJhcMzCddDt
    resourcet-1.2.6-AavQnD5kc82Iq3gAOb9Jer text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-92OnlKVmSzm7Q6K6Tg9Pzs
    unliftio-0.2.24.0-KW7QcS6oOTdEVZjzWJlJSE
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-Km0aDxhChoIJJSbiufyazz

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

